## qtwebkit-source 2.3.0

=== Source/WTF/wtf/CMakeLists.txt ===
SET(WTF_HEADERS
    ASCIICType.h
    AVLTree.h
    Alignment.h
    AlwaysInline.h
    Assertions.h
    Atomics.h
    BitArray.h
    BitVector.h
    Bitmap.h
    BoundsCheckedPointer.h
    BumpPointerAllocator.h
    ByteOrder.h
    Compiler.h
    Complex.h
    CryptographicallyRandomNumber.h
    CurrentTime.h
    DateMath.h
    DataLog.h
    DecimalNumber.h
    Decoder.h
    Deque.h
    DisallowCType.h
    DoublyLinkedList.h
    DynamicAnnotations.h
    Encoder.h
    FastAllocBase.h
    FastMalloc.h
    FilePrintStream.h
    FixedArray.h
    Forward.h
    GetPtr.h
    GregorianDateTime.h
    HashCountedSet.h
    HashFunctions.h
    HashIterators.h
    HashMap.h
    HashSet.h
    HashTable.h
    HashTraits.h
    HexNumber.h
    ListHashSet.h
    ListRefPtr.h
    Locker.h
    MD5.h
    MainThread.h
    MallocZoneSupport.h
    MathExtras.h
    MediaTime.h
    MemoryInstrumentation.h
    MemoryInstrumentationArrayBufferView.h
    MemoryInstrumentationHashCountedSet.h
    MemoryInstrumentationHashMap.h
    MemoryInstrumentationHashSet.h
    MemoryInstrumentationListHashSet.h
    MemoryInstrumentationParsedURL.h
    MemoryInstrumentationSequence.h
    MemoryInstrumentationString.h
    MemoryInstrumentationVector.h
    MemoryObjectInfo.h
    MessageQueue.h
    MetaAllocator.h
    MetaAllocatorHandle.h
    NonCopyingSort.h
    ThreadRestrictionVerifier.h
    Noncopyable.h
    NotFound.h
    NullPtr.h
    NumberOfCores.h
    RAMSize.h
    OSAllocator.h
    OSRandomSource.h
    OwnArrayPtr.h
    OwnPtr.h
    OwnPtrCommon.h
    PageAllocation.h
    PageAllocationAligned.h
    PageBlock.h
    PageReservation.h
    PassOwnArrayPtr.h
    PassOwnPtr.h
    PassRefPtr.h
    PassTraits.h
    ParallelJobs.h
    ParallelJobsGeneric.h
    ParallelJobsLibdispatch.h
    ParallelJobsOpenMP.h
    Platform.h
    PossiblyNull.h
    PrintStream.h
    RandomNumber.h
    RandomNumberSeed.h
    RawPointer.h
    RedBlackTree.h
    RefCounted.h
    RefCountedLeakCounter.h
    RefPtr.h
    RefPtrHashMap.h
    RetainPtr.h
    SaturatedArithmetic.h
    SegmentedVector.h
    SHA1.h
    StackBounds.h
    StaticConstructors.h
    StdLibExtras.h
    StringExtras.h
    StringHasher.h
    StringPrintStream.h
    TCPackedCache.h
    TCPageMap.h
    TCSpinLock.h
    TCSystemAlloc.h
    ThreadIdentifierDataPthreads.h
    ThreadSafeRefCounted.h
    ThreadSpecific.h
    Threading.h
    ThreadingPrimitives.h
    TypeTraits.h
    UnusedParam.h
    VMTags.h
    ValueCheck.h
    Vector.h
    VectorTraits.h
    WTFThreadData.h
    dtoa.h

    dtoa/bignum-dtoa.h
    dtoa/bignum.h
    dtoa/cached-powers.h
    dtoa/diy-fp.h
    dtoa/double-conversion.h
    dtoa/double.h
    dtoa/fast-dtoa.h
    dtoa/fixed-dtoa.h
    dtoa/strtod.h
    dtoa/utils.h

    text/AtomicString.h
    text/AtomicStringImpl.h
    text/Base64.h
    text/CString.h
    text/IntegerToStringConversion.h
    text/StringBuffer.h
    text/StringHash.h
    text/StringImpl.h
    text/WTFString.h

    threads/BinarySemaphore.h

    unicode/CharacterNames.h
    unicode/Collator.h
    unicode/UTF8.h
    unicode/Unicode.h
)

SET(WTF_SOURCES
    ArrayBuffer.cpp
    ArrayBufferView.cpp
    Assertions.cpp
    BitVector.cpp
    CryptographicallyRandomNumber.cpp
    CurrentTime.cpp
    DateMath.cpp
    DataLog.cpp
    DecimalNumber.cpp
    DynamicAnnotations.cpp
    FastMalloc.cpp
    FilePrintStream.cpp
    GregorianDateTime.cpp
    HashTable.cpp
    MD5.cpp
    MainThread.cpp
    MediaTime.cpp
    MetaAllocator.cpp
    OSRandomSource.cpp
    MemoryInstrumentation.cpp
    NumberOfCores.cpp
    RAMSize.cpp
    PageAllocationAligned.cpp
    PageBlock.cpp
    ParallelJobsGeneric.cpp
    PrintStream.cpp
    RandomNumber.cpp
    RefCountedLeakCounter.cpp
    SHA1.cpp
    StackBounds.cpp
    StringExtras.cpp
    StringPrintStream.cpp
    Threading.cpp
    TypeTraits.cpp
    WTFThreadData.cpp
    dtoa.cpp

    dtoa/bignum-dtoa.cc
    dtoa/bignum.cc
    dtoa/cached-powers.cc
    dtoa/diy-fp.cc
    dtoa/double-conversion.cc
    dtoa/fast-dtoa.cc
    dtoa/fixed-dtoa.cc
    dtoa/strtod.cc

    text/AtomicString.cpp
    text/Base64.cpp
    text/CString.cpp
    text/StringBuilder.cpp
    text/StringImpl.cpp
    text/StringStatics.cpp
    text/WTFString.cpp

    threads/BinarySemaphore.cpp

    unicode/UTF8.cpp
)

SET(WTF_INCLUDE_DIRECTORIES
    "${WTF_DIR}"
    "${WTF_DIR}/wtf"
    "${WTF_DIR}/wtf/dtoa"
    "${WTF_DIR}/wtf/threads"
    "${WTF_DIR}/wtf/unicode"
    "${THIRDPARTY_DIR}"
    "${CMAKE_BINARY_DIR}"
)

IF (NOT USE_SYSTEM_MALLOC)
    LIST(APPEND WTF_SOURCES
        TCSystemAlloc.cpp
    )
ENDIF()

WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS()

WEBKIT_WRAP_SOURCELIST(${WTF_SOURCES})
INCLUDE_DIRECTORIES(${WTF_INCLUDE_DIRECTORIES})
ADD_DEFINITIONS(-DBUILDING_WTF)
ADD_LIBRARY(${WTF_LIBRARY_NAME} STATIC ${WTF_HEADERS} ${WTF_SOURCES})
TARGET_LINK_LIBRARIES(${WTF_LIBRARY_NAME} ${WTF_LIBRARIES})
SET_TARGET_PROPERTIES(${WTF_LIBRARY_NAME} PROPERTIES FOLDER "JavaScriptCore")

=== Source/WebKit/wx/wscript ===
#! /usr/bin/env python

# Copyright (C) 2009 Kevin Ollivier  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY APPLE COMPUTER, INC. ``AS IS'' AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE COMPUTER, INC. OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
#
# wxWebKit build script for the waf build system

from settings import *

webkit_dirs = ['.', 'WebKitSupport']
include_paths = webkit_dirs + common_includes + ['.', '..',
                wk_root,
                os.path.join(wk_root, 'Source', 'JavaScriptCore'),
                os.path.join(wk_root, 'Source', 'WebCore'),
                os.path.join(wk_root, 'Source', 'WebCore', 'bindings', 'wx'),
                os.path.join(wk_root, 'Source', 'WebCore', 'DerivedSources'),
                os.path.join(output_dir),
                os.path.join(wk_root, 'Source', 'WebCore', 'page', 'wx'),
                os.path.join(wk_root, 'Source', 'WebCore', 'platform', 'network', 'curl'),
                os.path.join(wk_root, 'Source', 'WebCore', 'platform', 'wx'),
                os.path.join(wk_root, 'Source', 'WebCore', 'platform', 'bridge', 'wx'),
                os.path.join(wk_root, 'Source', 'WebCore', 'platform', 'graphics', 'wx'),
]

if sys.platform.startswith("win"):
    include_paths.append(os.path.join(wk_root, 'Source', 'WebCore','platform','win'))

windows_deps = [
                'lib/pthreadVC2.dll',
                'bin/icuuc40.dll', 'bin/icudt40.dll', 'bin/icuin40.dll',
                'bin/libcurl.dll', 'bin/libeay32.dll', 'bin/ssleay32.dll', 'bin/zlib1.dll',
                'lib/sqlite3.dll', 'bin/libxml2.dll', 'bin/libxslt.dll', 'bin/iconv.dll',
                ]

webcore_include_dirs = []
for dir in webcore_dirs + ['DerivedSources']:
    include_paths.append(os.path.join(wk_root, 'Source', 'WebCore', dir)) 

js_include_dirs = [os.path.join(wk_root, 'Source', 'JavaScriptCore', 'assembler')]
for dir in jscore_dirs:
    js_include_dirs.append(os.path.join(wk_root, 'Source', 'JavaScriptCore', dir))

def set_options(opt):
    common_set_options(opt)

def configure(conf):
    common_configure(conf)
    
def pre_build(bld):
    """
    The wxWebKit library should be rebuilt if the webcore static 
    library changes, so we mark it as a dependency.
    """
    
    ext = '.a'
    if sys.platform.startswith('win'):
        ext = '.lib'
    
    libwebcore = os.path.join(output_dir, 'libwebcore%s' % ext)
    
    assert os.path.exists(libwebcore)
    
    bld.env.CXXDEPS_WEBCORE = Utils.h_file(libwebcore)
    
def build(bld):

    import TaskGen

    if sys.platform.startswith('darwin'):
        TaskGen.task_gen.mappings['.mm'] = TaskGen.task_gen.mappings['.cxx']
        TaskGen.task_gen.mappings['.m'] = TaskGen.task_gen.mappings['.cxx']

    bld.add_pre_fun(pre_build)

    bld.env.LIBDIR = output_dir

    obj = bld.new_task_gen(
        features = 'cxx cshlib implib',
        includes = ' '.join(include_paths + js_include_dirs),
        target = 'wxwebkit',
        defines = ['WXMAKINGDLL_WEBKIT'],
        uselib = 'WX CURL ICU XSLT XML SQLITE3 WEBCORE JSCORE ' + get_config(),
        libpath = [output_dir],
        uselib_local = '',
        install_path = output_dir)
        
    exts = ['.c', '.cpp']
    if sys.platform.startswith('darwin'):
        exts.append('.mm')
        obj.includes += '../mac/WebCoreSupport ../../Source/WebCore/platform/mac'
        obj.source = "../mac/WebCoreSupport/WebSystemInterface.mm"
    obj.find_sources_in_dirs(webkit_dirs)

    if building_on_win32:
        for wxlib in bld.env['LIB_WX']:
            wxlibname = os.path.join(bld.env['LIBPATH_WX'][0], wxlib + '_vc.dll')
            if os.path.exists(wxlibname):
                bld.install_files(obj.install_path, [wxlibname])
        
        for dep in windows_deps:
            bld.install_files(obj.install_path, [os.path.join(msvclibs_dir, dep)])

=== debian/changelog ===
qtwebkit-source (2.3.0-0ubuntu2.1) raring-proposed; urgency=low

  * raring SRU to fix crash LP: #1180731

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 May 2013 11:02:57 +0100

qtwebkit-source (2.3.0-0ubuntu3) saucy; urgency=low

  * Add patch 108991-jsval-32bit-fix.patch fixes
    QtWebKit JS crash on 32-bit systems LP: #1180731

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 May 2013 10:58:14 +0100

qtwebkit-source (2.3.0-0ubuntu2) raring; urgency=low

  * Add kubuntu_fix_for_powerpc.diff from upstream to fix compile on powerpc
    https://bugs.webkit.org/show_bug.cgi?id=112141

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 28 Mar 2013 15:37:15 +0000

qtwebkit-source (2.3.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 21 Mar 2013 16:58:17 +0000

qtwebkit-source (2.3-0ubuntu8) raring; urgency=low

  * Disable the assembler and JIT on powerpc with more gusto.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 06 Mar 2013 11:08:22 -0700

qtwebkit-source (2.3-0ubuntu7) raring; urgency=low

  * Add ENABLE_ASSEMBLER=0 to powerpc in hope it'll work

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Mar 2013 12:01:48 +0000

qtwebkit-source (2.3-0ubuntu6) raring; urgency=low

  * Fix conditional semantics

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Feb 2013 14:15:49 +0000

qtwebkit-source (2.3-0ubuntu5) raring; urgency=low

  * Disable JIT assember on powerpc

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Feb 2013 13:49:41 +0000

qtwebkit-source (2.3-0ubuntu4) raring; urgency=low

  * Use $(DEB_HOST_MULTIARCH) for install location for .so link

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Feb 2013 16:43:20 +0000

qtwebkit-source (2.3-0ubuntu3) raring; urgency=low

  * Install upper case headers
  * Install .so link

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 22 Feb 2013 15:45:33 +0000

qtwebkit-source (2.3-0ubuntu2) raring; urgency=low

  * Install full headers

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 21 Feb 2013 17:31:06 +0000

qtwebkit-source (2.3-0ubuntu1) raring; urgency=low

  * New upstream release, QtWebKit 2.3 is a backport of QtWebkit for
    Qt 5 to Qt 4, backport packaging from Qt 5
  * Switch to building with ./Tools/Scripts/build-webkit as recommended
    by upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Feb 2013 14:24:18 +0000

qtwebkit-opensource-src (5.0.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control:
    - Add missing Pre-Depends for xz compression
    - Rename packages by appending the major version
    - Depend on system png/jpeg libraries
    - Depend on qtsensors5-dev and qtlocation5-dev
  * debian/*.install:
    - Adjust to the new version and library renames
  * debian/rules:
    - Remove .la files
    - Remove rpath from QtWebProcess/QtWebPluginProcess
  * debian/copyright:
    - Fix invalid UTF-8
  * Drop patches:
    - 01_lflags_as-needed.diff
    - 02_add_nostrip_for_debug_packages.diff
    - 03_hide_std_symbols.diff
    - 04_enable_debug_information.diff
    - Fix_build_with_GLib_2.31_changeset_r97269.patch
    - defines_qt_webkit.diff
    - glibc_hurd_mkspecs.diff
    - linux_amd64_no_overcommit.diff
    - upstream_changeset_r113848.diff
    - upstream_changeset_r93631.diff
  * Update patches:
    - 05_sparc_unaligned_access.diff
    - hurd.diff
    - no_gc_sections.diff (add i386/i686)
    - stabs_format_debug_info.diff (add i386/i686)
    - webkit_qt_hide_symbols.diff
  * Add patch:
    - disable_geolocation_501.diff (build failure)
    - save_memory.diff (try to conserve even more memory on arm)
  * Add Ubuntu specific patch:
    - devicePixelResolution.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 12:30:39 +0000

qtwebkit (2.2.1-5) unstable; urgency=low

  * Team upload.
  * Re upload the package to fix the M-A uninstallability due to a binNMU
    (Closes: #676162).
  * This upload will get rebuilt with xz compression (Closes: #687036).
    Thanks Ansgar Burchardt for the patch.
  * Rewrite debian/copyright to DEP-5 (Closes: #673268).
    Thanks Elena ``of Valhalla'' Grandi and Tobias Bengfort.
    The current copyright is *huge*: 12637 lines. I have reviewed it but
    there still could be errors.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 18 Nov 2012 18:01:12 -0300

=== debian/control ===
Source: qtwebkit-source
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               flex,
               bison,
               gperf,
               python-minimal,
               python2.7,
               ruby,
               libgstreamer0.10-dev, 
               libgstreamer-plugins-base0.10-dev,
               libicu-dev,
               libsqlite3-dev,
               libxml2-dev,
               mesa-common-dev,
               libgl1-mesa-dev [!armel !armhf] | libgl-dev [!armel !armhf],
               libgles2-mesa-dev [armel armhf] | libgles2-dev [armel armhf],
               libglib2.0-dev,
               libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
               libxrender-dev,
               libxslt1-dev,
               qt4-default,
               libqt4-dev,
               libqt4-opengl-dev,
               pkg-config,
               pkg-kde-tools (>= 0.6.4),
               chrpath,
               libpng12-dev,
               libjpeg-dev,
               libfontconfig1-dev,
Standards-Version: 3.9.4
Section: libs
Homepage: http://trac.webkit.org/wiki/QtWebKit

Package: libqtwebkit-dev
Section: libdevel
Architecture: any
Depends: libqt4-dev (>= 4:4.8.0),
         libqtwebkit4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt4-dev (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt - development files
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the development files needed to build Qt 4 applications
 using QtWebKit library.

Package: libqtwebkit4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt4-webkit (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.

Package: libqtwebkit-qmlwebkitplugin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt WebKit QML plugin
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the WebKit QML plugin for QtDeclarative.

Package: libqtwebkit4-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqtwebkit4 (= ${binary:Version}), ${misc:Depends}
Replaces: libqt4-webkit-dbg (<= 4:4.7.0~beta1)
Description: Web content engine library for Qt - debugging symbols
 QtWebKit provides a Web browser engine that makes it easy to embed content
 from the World Wide Web into your Qt application.
 .
 This package contains the debugging symbols for the Qt WebKit library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# Filter -g from environment on troublesome arches. Replace it with -gstabs
# See also: stabs_format_debug_info.diff
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter $(DEB_HOST_ARCH),s390 s390x armel armhf mips mipsel))
    export DEB_CFLAGS_MAINT_STRIP := -g
    export DEB_CFLAGS_MAINT_APPEND := -gstabs
    export DEB_CXXFLAGS_MAINT_STRIP := -g
    export DEB_CXXFLAGS_MAINT_APPEND := -gstabs
endif
ifneq (,$(filter $(DEB_HOST_ARCH),alpha))
    export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-relax
endif

export QMAKEPATH=Tools/qmake
export QTDIR=/usr
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --list-missing --dbg-package=libqtwebkit4-dbg --with pkgkde_symbolshelper

override_dh_auto_clean:
	rm -rf WebKitBuild
	-find . -name *.pyc | xargs rm

override_dh_auto_configure:
	true

override_dh_auto_build:
#disable JIT assember on powerpc where it doesn't compile
ifeq (,$(filter $(DEB_HOST_ARCH),powerpc))
	./Tools/Scripts/build-webkit --qt
else
	./Tools/Scripts/build-webkit --qt DEFINES+=ENABLE_JIT=0 DEFINES+=ENABLE_YARR_JIT=0 DEFINES+=ENABLE_ASSEMBLER=0
endif

override_dh_auto_install:
	dh_install
	mkdir -p debian/libqtwebkit4/usr/lib/$(DEB_HOST_MULTIARCH)/
	cp --no-dereference WebKitBuild/Release/lib/libQtWebKit.so.* debian/libqtwebkit4/usr/lib/$(DEB_HOST_MULTIARCH)/

	mkdir -p debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	cp WebKitBuild/Release/lib/libQtWebKit.prl debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libQtWebKit.prl
	cp WebKitBuild/Release/lib/pkgconfig/QtWebKit.pc debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/QtWebKit.pc
	mkdir -p debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/
	cp Source/WebKit/qt/Api/*h debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/
	cp WebKitBuild/Release/include/QtWebKit/Q* debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/
	rm debian/libqtwebkit-dev/usr/include/qt4/QtWebKit/*_p.h
	ln -s libQtWebKit.so.4.10.0 debian/libqtwebkit-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libQtWebKit.so

	mkdir -p debian/libqtwebkit-qmlwebkitplugin/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/imports/QtWebKit/
	cp WebKitBuild/Release/imports/QtWebKit/libqmlwebkitplugin.so debian/libqtwebkit-qmlwebkitplugin/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/imports/QtWebKit/
	cp WebKitBuild/Release/imports/QtWebKit/qmldir debian/libqtwebkit-qmlwebkitplugin/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/imports/QtWebKit/

override_dh_builddeb:
	dh_builddeb -- -Zxz
